GNU bug report logs - #47431
Process Whois connection broken by remote peer.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Hongyi Zhao <hongyi.zhao@HIDDEN>; dated Sat, 27 Mar 2021 01:40:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 29 Mar 2021 11:20:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 29 07:20:13 2021
Received: from localhost ([127.0.0.1]:47997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQpwL-0001ad-A5
	for submit <at> debbugs.gnu.org; Mon, 29 Mar 2021 07:20:13 -0400
Received: from heytings.org ([95.142.160.155]:45922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lQpwJ-0001aS-0h
 for 47431 <at> debbugs.gnu.org; Mon, 29 Mar 2021 07:20:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1617016809;
 bh=6wjW42+uEcaKTOigR2tLS7RDZlvulF5Ns0VZR6ZpPxE=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=P6gTIY8NNWhBZIc3EbACIvVKDJ3NAzWCMW4ALDd6hJQ3IgyRjprvQ8Cff8/pMys14
 kresjAgVMdORKYg0Q+EaVn1q1VrQS8MLmxuABMHzs1yiJFGCAOSQoZUFcJ4rpwmzXQ
 vlAUCzRcGrn1rsrbtig+HSACa8HCFm00jM2tKaNF4EiUOQPNZ7jo8cyQCSxGkMea16
 GU66maZjXC/INJF3FmcbhpJPZ8wmlKTBiq8xe90C+3BZQx6xBihR0PCOZuVo27NJJw
 oA7tGaoo6j5wNERV2kC7ubRjsqqemjFi2T3YTgaj6erB5U0Gdt845KbRSu4nJ1xUGi
 X/caGce9gQfIA==
Date: Mon, 29 Mar 2021 11:20:09 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
In-Reply-To: <87ft0ens4h.fsf@HIDDEN>
Message-ID: <a83bd81e9ae3f1ccc5f7@HIDDEN>
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
 <83y2e9nhne.fsf@HIDDEN> <b299646274aa53c1efd0@HIDDEN>
 <87zgynp9t5.fsf@HIDDEN> <406246af7fb57420287b@HIDDEN>
 <87ft0ens4h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> IOW, without a built-in list, each whois query would create two 
>> requests, one to whois.iana.org, and one to the actual whois server.
>
> That's fine.  The only issue here is whether whois.iana.org is designed 
> for this kind of use -- if not, it might be abusive of Emacs to do this, 
> and we should indeed keep the server list updated in Emacs.
>

As far as I can see, whois.iana.org is indeed designed for this kind of 
use, and the GNU/Linux whois command even has an option to do this (-I). 
But I'm not 100% sure.  Do you think it's better if I first check this 
with IANA?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 29 Mar 2021 10:58:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 29 06:58:54 2021
Received: from localhost ([127.0.0.1]:47984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQpbh-00014U-Up
	for submit <at> debbugs.gnu.org; Mon, 29 Mar 2021 06:58:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lQpbf-00014B-RX
 for 47431 <at> debbugs.gnu.org; Mon, 29 Mar 2021 06:58:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ufz2juZ0zDVzPBl49hqj8aDj780atBnA9RpteqmhORs=; b=bTT/HSYkiyZImv9bJZ4VaGrPlb
 UDRR6NTyhqE35IK5fl0dCnaEZehyra8aFL6D8p5VkeRUsjm6cm/Rokrkk5XfjgXogrjKEs9kQgAFd
 QJTU/DRC00K/x4V/y2RB0jEqUeEMzgwfdm0ZWVZMt+fJHPKmdvieFOEIr/gFgxX8QJl4=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lQpbT-0008A3-Hp; Mon, 29 Mar 2021 12:58:45 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
 <83y2e9nhne.fsf@HIDDEN> <b299646274aa53c1efd0@HIDDEN>
 <87zgynp9t5.fsf@HIDDEN> <406246af7fb57420287b@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEWqscbb19P+/fwx
 VJUqWKl1Pltdapg5bc1ujcNDdND///9cVpW2AAAAAWJLR0QKaND0VgAAAAd0SU1FB+UDHQo5EQYt
 /Z0AAAGXSURBVDjLbZRNb4JAEIYXNZajou0Zt4nxWAtoemtiaepV5Q+ASnuzaVPKjZgmcrfpOv+2
 yy4fu7BvQtjwZGb2nZmAkKh+oZ6BbKsu21l7Cx/Z+4bcjRcdkWXgmkbW2pn7CoB/PHejisADz1oz
 YM7ECsFxTIuwVOYyoooBgNDXh2FWIPuYi0wxDjx3VUbEEJMMnGnNTgmqAHik1W8di4PSM83kUzBx
 N9xH0aE2z5RZlH2EAC/ssPUk56MHgHt2GspgHMNvi5+clQgGAF/8ZLo56LJmZBfbvzIS5GAbFU2J
 PrP74nZeI4QDSvl042eWtQDkHV1QL9GQHjMngypCv6RJmiQpSCB4qrQQQS/LTu90l73FGrlvciwt
 CWCyjM4tFaANOeM6GNGeX1PvrPki6ApbshPBFSFpml7oQ3gfSwBE0/sHpGknGdwAQXr/uwnMMKKd
 5SsnAVp9pyzObfxhrDBYzbUJHiswrEBHAkLECWCqjAiLZauDN77PDZCNSQ1sa3FUpsoH0QSy6HXn
 s71CoY8stfzqTyTL+Ae/LQOjQE/KlgAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wMy0yOVQxMDo1
 NzoxNyswMDowMLYsct8AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDMtMjlUMTA6NTc6MTcrMDA6
 MDDHccpjAAAAAElFTkSuQmCC
X-Now-Playing: Quando Quango's _Of Factory New York_: "Love Tempo"
Date: Mon, 29 Mar 2021 12:58:38 +0200
In-Reply-To: <406246af7fb57420287b@HIDDEN> (Gregory Heytings's message
 of "Sun, 28 Mar 2021 20:23:17 +0000")
Message-ID: <87ft0ens4h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Gregory Heytings <gregory@HIDDEN> writes: > IOW,
 without
 a built-in list, each whois query would create two > requests,
 one to whois.iana.org, 
 and one to the actual whois server. That's fine. The only issue here is
 whether
 whois.iana.org is designed for this kind of use -- if not, it might be abusive
 of Emacs to do this, and we should indeed keep the server list updated in
 Ema [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gregory Heytings <gregory@HIDDEN> writes:

> IOW, without a built-in list, each whois query would create two
> requests, one to whois.iana.org, and one to the actual whois server.

That's fine.  The only issue here is whether whois.iana.org is designed
for this kind of use -- if not, it might be abusive of Emacs to do this,
and we should indeed keep the server list updated in Emacs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 29 Mar 2021 08:38:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 29 04:38:48 2021
Received: from localhost ([127.0.0.1]:47793 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQnQ6-0005rb-T5
	for submit <at> debbugs.gnu.org; Mon, 29 Mar 2021 04:38:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lQnQ5-0005rP-KI
 for 47431 <at> debbugs.gnu.org; Mon, 29 Mar 2021 04:38:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39972)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lQnQ0-00047z-91; Mon, 29 Mar 2021 04:38:40 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1722
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lQnPz-00015f-MI; Mon, 29 Mar 2021 04:38:40 -0400
Date: Mon, 29 Mar 2021 11:38:50 +0300
Message-Id: <83a6qmmk11.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <a83bd81e9a93485d7411@HIDDEN> (message from Gregory
 Heytings on Mon, 29 Mar 2021 07:35:37 +0000)
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
 <83y2e9nhne.fsf@HIDDEN> <b299646274aa53c1efd0@HIDDEN>
 <87zgynp9t5.fsf@HIDDEN> <406246af7fb57420287b@HIDDEN>
 <83k0pqmulc.fsf@HIDDEN> <a83bd81e9a93485d7411@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47431
Cc: larsi@HIDDEN, 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Mon, 29 Mar 2021 07:35:37 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: larsi@HIDDEN, 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
> 
> 
> >> IOW, without a built-in list, each whois query would create two 
> >> requests, one to whois.iana.org, and one to the actual whois server.
> >
> > I don't see any problems with that, do you?
> >
> 
> In principle, I don't see any problems.  But I seem to recall that RMS 
> dislikes solutions that make unnecessary network connections, or IOW that 
> avoidable network connections should be avoided.
> 
> If you agree on the general design, I'd be happy to implement it. 

I don't see a problem, no.  We frequently make network connections
when necessary.

> Possibly with a cache to mitigate the above problem.

I'd wait with caching until we see a performance problem.  It isn't
like people are expected to invoke this command many times in a row.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 29 Mar 2021 07:35:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 29 03:35:42 2021
Received: from localhost ([127.0.0.1]:47713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQmR4-0004JC-Kn
	for submit <at> debbugs.gnu.org; Mon, 29 Mar 2021 03:35:42 -0400
Received: from heytings.org ([95.142.160.155]:45712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lQmR1-0004J2-RG
 for 47431 <at> debbugs.gnu.org; Mon, 29 Mar 2021 03:35:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1617003338;
 bh=nIA4YlZqsgs+UQT1uy3R5v/Gfj7KkapxpttsM5JlmWI=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=qb+RlRYCGDt2K8nmMxXi8CE1GQ6RPYkxHr/6x0vRdeBzr2XZIPEZcCOFgDLXgJqBL
 v/XdeJg4huzzRV4Rn49YKhMUlwGxkHp7vUtLwKKU+SNJr2zT49PS9a60/mPEo9cDMA
 cUfBzT9hJSNDJYIJVlwOfmZ3CodkiketgwN+S2CDEKaEqtMCk3WJhz7zXGpzopqWmx
 GweI1OePJ/BVwId5JhxHBFLf4sF0uV3nLHBPOgXObrvHK6WEzzp29TPInHhhEIYqkD
 YjWu4+QwpG03Kw2u9m5Q6qRiO9SWovRX35frFJTTGyDFaysDaOBOEuVSynSTUNepRe
 SiHY9BLNHS9gQ==
Date: Mon, 29 Mar 2021 07:35:37 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
In-Reply-To: <83k0pqmulc.fsf@HIDDEN>
Message-ID: <a83bd81e9a93485d7411@HIDDEN>
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
 <83y2e9nhne.fsf@HIDDEN> <b299646274aa53c1efd0@HIDDEN>
 <87zgynp9t5.fsf@HIDDEN> <406246af7fb57420287b@HIDDEN>
 <83k0pqmulc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: larsi@HIDDEN, 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> IOW, without a built-in list, each whois query would create two 
>> requests, one to whois.iana.org, and one to the actual whois server.
>
> I don't see any problems with that, do you?
>

In principle, I don't see any problems.  But I seem to recall that RMS 
dislikes solutions that make unnecessary network connections, or IOW that 
avoidable network connections should be avoided.

If you agree on the general design, I'd be happy to implement it. 
Possibly with a cache to mitigate the above problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 29 Mar 2021 04:50:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 29 00:50:38 2021
Received: from localhost ([127.0.0.1]:47474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQjrK-00088X-KJ
	for submit <at> debbugs.gnu.org; Mon, 29 Mar 2021 00:50:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lQjrI-00088I-NR
 for 47431 <at> debbugs.gnu.org; Mon, 29 Mar 2021 00:50:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37368)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lQjrD-0000Tn-58; Mon, 29 Mar 2021 00:50:31 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3202
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lQjrB-0004xk-9M; Mon, 29 Mar 2021 00:50:30 -0400
Date: Mon, 29 Mar 2021 07:50:39 +0300
Message-Id: <83k0pqmulc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <406246af7fb57420287b@HIDDEN> (message from Gregory
 Heytings on Sun, 28 Mar 2021 20:23:17 +0000)
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
 <83y2e9nhne.fsf@HIDDEN> <b299646274aa53c1efd0@HIDDEN>
 <87zgynp9t5.fsf@HIDDEN> <406246af7fb57420287b@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47431
Cc: larsi@HIDDEN, 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Sun, 28 Mar 2021 20:23:17 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> Cc: 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
> 
> IOW, without a built-in list, each whois query would create two
> requests, one to whois.iana.org, and one to the actual whois server.

I don't see any problems with that, do you?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 29 Mar 2021 00:19:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 20:19:30 2021
Received: from localhost ([127.0.0.1]:47290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQfcq-0001hB-F5
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 20:19:30 -0400
Received: from mail-yb1-f181.google.com ([209.85.219.181]:40599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hongyi.zhao@HIDDEN>) id 1lQfcp-0001gy-18
 for 47431 <at> debbugs.gnu.org; Sun, 28 Mar 2021 20:19:23 -0400
Received: by mail-yb1-f181.google.com with SMTP id a143so12004556ybg.7
 for <47431 <at> debbugs.gnu.org>; Sun, 28 Mar 2021 17:19:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=KxETgrW2BcizqiYaX3S6mpjRnFk6kNDXQQ5cgHB0e9w=;
 b=eQT005Pc0vQP/uPvQmMZP3psknCN5YqpcC8oaEnVJeiykEucPVlaoo6Jj5REU7mwNY
 IVy3lbPIxaZ74nM9lUAd9yxfo6kwmUNgP2FPnbx5VkTFA1WyM9RC3cFiuU0y0NUN10uN
 86KWo0Nk0ENJktyLQ6l755Fmi0EVOTjbJFf82zuSXb/5tSDJeZ7t541y9QHW8vy3PP9E
 Zfjswo5oxOlL/7wX4hBurtoZah5QE1ZXJv4Wipz3uHIwCp8Jssae0F1rO3n7fBBPtbsW
 VpvZHMBJWVWJ+g9pVpX17l9vSjpjvuseRwtH9m06YTxBXLoFY7y+Bxcjv9ZWm+NWgWPQ
 kAxQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=KxETgrW2BcizqiYaX3S6mpjRnFk6kNDXQQ5cgHB0e9w=;
 b=La0wWKDQBAFRcmiT7QsCPYekTkFBGJCjTu3i9I7CdZtroC+sANkzlM/zK9w0d/08z9
 rCSsLTy+Y7kK+ylyBi6EjPm/J9RI+q6egTludS3/EsHhOaYPIra/DyysJwEJN5oQtw2X
 ids17sqlpoKAyghLG5g+J3Q1oen731Y1NTVMYClhbbqHbDYAl4+YJdxP8EaTV2Kxu3z1
 YbJZRZJAo/VYijE+zNjhv5R7otr5Co1z/wOb7WMj56zYhd2jH/tZtVn/JJw5Tr1eKg8u
 4WqEKfrwR+hxy5Mw+EykmwfHUAym9xaBBTE5KUz40Z26HU4fmvJ6wBqC3b65I8ukbQfc
 L3OQ==
X-Gm-Message-State: AOAM530xtxUuxgt9aLvn1Q0f5X6LyesNBK4NyLjN/rXmsve7qsc5w+Lx
 v52POXlXMLlSrcbjMltzhVB7hBgJWHDctaw0n1894HbjF1N6RPvj
X-Google-Smtp-Source: ABdhPJw9xCj5ovIE9lJsQeea0gfcgvQqLgurCmvZkE7EjXezzLYTCuJmZAdu4eXsqLAPaKHzXnTwysxWttkK6sRiBuQ=
X-Received: by 2002:a25:d8ce:: with SMTP id
 p197mr34768555ybg.119.1616977157445; 
 Sun, 28 Mar 2021 17:19:17 -0700 (PDT)
MIME-Version: 1.0
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
 <83y2e9nhne.fsf@HIDDEN> <b299646274aa53c1efd0@HIDDEN>
 <87zgynp9t5.fsf@HIDDEN> <406246af7fb57420287b@HIDDEN>
In-Reply-To: <406246af7fb57420287b@HIDDEN>
From: Hongyi Zhao <hongyi.zhao@HIDDEN>
Date: Mon, 29 Mar 2021 08:19:05 +0800
Message-ID: <CAGP6POLv-d1TCEaxOXHAR-rkypjxS6JXKd4oFppRNg+CCxcmLw@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
To: Gregory Heytings <gregory@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Mar 29, 2021 at 4:23 AM Gregory Heytings <gregory@HIDDEN> wrote:
>
>
> >> [2] https://raw.githubusercontent.com/rfc1036/whois/next/tld_serv_list
> >
> > The list originates at whois.iana.org...  which is a server that seems
> > to respond to whois queries nicely.  So we could just update
> > whois-server-name to that?  And remove whois-server-tld.
> >
>
> That would be ideal/simpler, but whois.iana.org only contains information
> about the whois server to use for each TLD.  For instance whois -h
> whois.iana.org gnu.org tells you that the whois server to contact is
> whois.pir.org.  IOW, without a built-in list, each whois query would
> create two requests, one to whois.iana.org, and one to the actual whois
> server.  IOW again, a whois request would become:
>
> whois -h $(whois -h whois.iana.org DOMAIN | grep '^whois:' | cut -d: -f2) DOMAIN
>
> Would that be acceptable?

The suggested method really can do the trick:

;;; begin quote
$ whois -h $(whois -h whois.iana.org facebook.com | grep '^whois:' |
cut -d: -f2) facebook.com
   Domain Name: FACEBOOK.COM
   Registry Domain ID: 2320948_DOMAIN_COM-VRSN
   Registrar WHOIS Server: whois.registrarsafe.com
   Registrar URL: http://www.registrarsafe.com
   Updated Date: 2020-03-10T18:53:59Z
   Creation Date: 1997-03-29T05:00:00Z
   Registry Expiry Date: 2028-03-30T04:00:00Z
   Registrar: RegistrarSafe, LLC
   Registrar IANA ID: 3237
   Registrar Abuse Contact Email: abusecomplaints@HIDDEN
   Registrar Abuse Contact Phone: +1-650-308-7004
   Domain Status: clientDeleteProhibited
https://icann.org/epp#clientDeleteProhibited
   Domain Status: clientTransferProhibited
https://icann.org/epp#clientTransferProhibited
   Domain Status: clientUpdateProhibited
https://icann.org/epp#clientUpdateProhibited
   Domain Status: serverDeleteProhibited
https://icann.org/epp#serverDeleteProhibited
   Domain Status: serverTransferProhibited
https://icann.org/epp#serverTransferProhibited
   Domain Status: serverUpdateProhibited
https://icann.org/epp#serverUpdateProhibited
   Name Server: A.NS.FACEBOOK.COM
   Name Server: B.NS.FACEBOOK.COM
   Name Server: C.NS.FACEBOOK.COM
   Name Server: D.NS.FACEBOOK.COM
   DNSSEC: unsigned
   URL of the ICANN Whois Inaccuracy Complaint Form: https://www.icann.org/wicf/
>>> Last update of whois database: 2021-03-29T00:14:06Z <<<

For more information on Whois status codes, please visit https://icann.org/epp

NOTICE: The expiration date displayed in this record is the date the
registrar's sponsorship of the domain name registration in the registry is
currently set to expire. This date does not necessarily reflect the expiration
date of the domain name registrant's agreement with the sponsoring
registrar.  Users may consult the sponsoring registrar's Whois database to
view the registrar's reported date of expiration for this registration.

TERMS OF USE: You are not authorized to access or query our Whois
database through the use of electronic processes that are high-volume and
automated except as reasonably necessary to register domain names or
modify existing registrations; the Data in VeriSign Global Registry
Services' ("VeriSign") Whois database is provided by VeriSign for
information purposes only, and to assist persons in obtaining information
about or related to a domain name registration record. VeriSign does not
guarantee its accuracy. By submitting a Whois query, you agree to abide
by the following terms of use: You agree that you may use this Data only
for lawful purposes and that under no circumstances will you use this Data
to: (1) allow, enable, or otherwise support the transmission of mass
unsolicited, commercial advertising or solicitations via e-mail, telephone,
or facsimile; or (2) enable high volume, automated, electronic processes
that apply to VeriSign (or its computer systems). The compilation,
repackaging, dissemination or other use of this Data is expressly
prohibited without the prior written consent of VeriSign. You agree not to
use electronic processes that are automated and high-volume to access or
query the Whois database except as reasonably necessary to register
domain names or modify existing registrations. VeriSign reserves the right
to restrict your access to the Whois database in its sole discretion to ensure
operational stability.  VeriSign may restrict or terminate your access to the
Whois database for failure to abide by these terms of use. VeriSign
reserves the right to modify these terms at any time.

The Registry database contains ONLY .COM, .NET, .EDU domains and
Registrars.

;;; end quote


But I'm not sure if this is the standard query procedures
suggested/defined by the whois protocol itself.

Regards
-- 
Assoc. Prof. Hongyi Zhao <hongyi.zhao@HIDDEN>
Theory and Simulation of Materials
Hebei Polytechnic University of Science and Technology engineering
NO. 552 North Gangtie Road, Xingtai, China




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 28 Mar 2021 20:23:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 16:23:25 2021
Received: from localhost ([127.0.0.1]:47127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQbwP-0002QG-OE
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 16:23:25 -0400
Received: from heytings.org ([95.142.160.155]:45214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lQbwN-0002Q7-88
 for 47431 <at> debbugs.gnu.org; Sun, 28 Mar 2021 16:23:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1616962997;
 bh=sTqIl9EoNNWWmoJ58t0c8/daYs6BlRUCOKQX9pX7DrI=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=ro1VdDIJo4SmXd7o+ioDsr7Q6uVwFd5PcMsWfkQzAxENcwi96zUZqiSz3jLQsPk0Z
 qRZgUgw8YEBXjgMJw3gqblj6qaIZCPsrdgbYPgW7trDhtGAbR3ovQxkcODu+4NCMnf
 bBU+1vTDnDMnf+pRQ6SDgzYMyz8BQtdhdhmVM7j2GBOfsCbiY2GefOHes51mquaxE9
 DSZuaVACPGQ9wswYLd2CPvuMNJSOCLQddMfwZ1f65z8PrOsO+Jb9Hyz1ZT2p4ZsHud
 QIMwKuDB0KnHYCV762xBUcO2rzThDsgBC2ZQGHwMMh+8mV2C1miqRh1bCJqOF0UDo5
 x352pIHODog0g==
Date: Sun, 28 Mar 2021 20:23:17 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
In-Reply-To: <87zgynp9t5.fsf@HIDDEN>
Message-ID: <406246af7fb57420287b@HIDDEN>
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
 <83y2e9nhne.fsf@HIDDEN> <b299646274aa53c1efd0@HIDDEN>
 <87zgynp9t5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> [2] https://raw.githubusercontent.com/rfc1036/whois/next/tld_serv_list
>
> The list originates at whois.iana.org...  which is a server that seems 
> to respond to whois queries nicely.  So we could just update 
> whois-server-name to that?  And remove whois-server-tld.
>

That would be ideal/simpler, but whois.iana.org only contains information 
about the whois server to use for each TLD.  For instance whois -h 
whois.iana.org gnu.org tells you that the whois server to contact is 
whois.pir.org.  IOW, without a built-in list, each whois query would 
create two requests, one to whois.iana.org, and one to the actual whois 
server.  IOW again, a whois request would become:

whois -h $(whois -h whois.iana.org DOMAIN | grep '^whois:' | cut -d: -f2) DOMAIN

Would that be acceptable?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 28 Mar 2021 15:39:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 11:39:26 2021
Received: from localhost ([127.0.0.1]:46797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQXVd-00060h-Tb
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 11:39:26 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lQXVa-00060P-TE
 for 47431 <at> debbugs.gnu.org; Sun, 28 Mar 2021 11:39:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=nj1Zog/IqhsDhwbhUzCfsZhcDIV4XfMDe2HvbB/AmDk=; b=TgztH//FBfvSLnGMJBXc5R2ocj
 PtJOxr6VM0f88BiUO1aZ6gQP6xCfY6xh6CeXSdGFur+NgPDhlKZFIwDGLDahOCpx52hc5XiMZ3Ch6
 nPo1H7Ojjz8fxeob35EDNArfd2J37SgWWhJil3+sTcygwhAiOmc28hdObDvPbC9JlZpo=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lQXVH-0003mo-RP; Sun, 28 Mar 2021 17:39:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
 <83y2e9nhne.fsf@HIDDEN> <b299646274aa53c1efd0@HIDDEN>
X-Now-Playing: King Crimson's _The Complete 1969 Recordings (13): Sessions
 1_: "Epitaph Takes 4 to 8"
Date: Sun, 28 Mar 2021 17:39:02 +0200
In-Reply-To: <b299646274aa53c1efd0@HIDDEN> (Gregory Heytings's message
 of "Sat, 27 Mar 2021 11:01:36 +0000")
Message-ID: <87zgynp9t5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Gregory Heytings <gregory@HIDDEN> writes: > [2]
 https://raw.githubusercontent.com/rfc1036/whois/next/tld_serv_list
 The list originates at whois.iana.org... which is a server that seems to
 respond to whois queries nicely. So we could just update whois-server-name
 to that? And remove whois-server-tld. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: Eli Zaretskii <eliz@HIDDEN>, 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gregory Heytings <gregory@HIDDEN> writes:

> [2] https://raw.githubusercontent.com/rfc1036/whois/next/tld_serv_list

The list originates at whois.iana.org...  which is a server that seems
to respond to whois queries nicely.  So we could just update
whois-server-name to that?  And remove whois-server-tld.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 28 Mar 2021 14:55:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 10:55:49 2021
Received: from localhost ([127.0.0.1]:46751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQWpR-0004vP-Bl
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 10:55:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lQWpP-0004vB-Ph
 for 47431 <at> debbugs.gnu.org; Sun, 28 Mar 2021 10:55:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=PkkEW8EOl5iuleUjraK8txgt5u80WFS5/Nfp1fejOvM=; b=eZYkoX0x/cxaHO5zyRXqfPU+zY
 TFgojQJzZ6JTkveoYa3PjZ+zEL1vJknxCwIc8nh4wLmsUmQbW0/t3MZKhhS0R7rfRMsrgq68ehKR/
 Q/eUlnkLwyQHbZyYtTVu6tNO/naarv/llSZjLonoiAAw8qLsGirWwJrztqTGURvM8sdI=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lQWpB-0003T9-Va; Sun, 28 Mar 2021 16:55:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
 <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
 <83tuowopgu.fsf@HIDDEN>
 <CAGP6PO+=YrFHsFU-+zJ_H1tVmE06RwQvkaUx3Zb4vS8usXYFLA@HIDDEN>
 <83r1k0ognb.fsf@HIDDEN>
 <CAGP6POLZ30nqAW89-8FVZFETwnWLzQGZ79+m9o-gtk7g0yCVow@HIDDEN>
 <83h7kvok9r.fsf@HIDDEN>
 <CAGP6POKK54PbZ_kxnJjHsVj81zLyC+StPNutYBUDpQHHSQ8bzw@HIDDEN>
 <871rbzs70d.fsf@HIDDEN> <83wntrmkja.fsf@HIDDEN>
 <87wntrqs21.fsf@HIDDEN>
X-Now-Playing: The Style Council's _The Complete Adventures (2)_: "A Stone's
 Throw Away"
Date: Sun, 28 Mar 2021 16:55:32 +0200
In-Reply-To: <87wntrqs21.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 28 Mar 2021 16:19:34 +0200")
Message-ID: <87o8f3qqe3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > That is an
 excessive
 timeout... but I guess this is up to the OS? We > don't specify a timeout
 in the make-network-process function, I think? > (It's been a while since
 I've read it...) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> That is an excessive timeout...  but I guess this is up to the OS?  We
> don't specify a timeout in the make-network-process function, I think?
> (It's been a while since I've read it...)

(So whois.el should also probably be rewritten to use async network
connections and do a reasonable timeout.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 28 Mar 2021 14:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 10:19:46 2021
Received: from localhost ([127.0.0.1]:46689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQWGY-0003yv-AZ
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 10:19:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lQWGW-0003yf-7P
 for 47431 <at> debbugs.gnu.org; Sun, 28 Mar 2021 10:19:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=giMKo8kpNhxio2977yJ1qEByLaMwyrb4xOWIQvjZ76c=; b=hSB2wFUT6QMgjKPOUmBzRDoVhl
 kVa6GxN3QOEwfI+csbJolz7tKDxuU1e2drreRQ7WutEPLLnm4vSZzT0NirEPxSrx3QRR/HLPG+exE
 9B9YMrGLLsy8X03lEe9E+VjKr0mhVRmIi3m7D1K6Q6GveV9QWKFQ+8i85r4kH8MIsF/0=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lQWGN-00038o-MY; Sun, 28 Mar 2021 16:19:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
 <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
 <83tuowopgu.fsf@HIDDEN>
 <CAGP6PO+=YrFHsFU-+zJ_H1tVmE06RwQvkaUx3Zb4vS8usXYFLA@HIDDEN>
 <83r1k0ognb.fsf@HIDDEN>
 <CAGP6POLZ30nqAW89-8FVZFETwnWLzQGZ79+m9o-gtk7g0yCVow@HIDDEN>
 <83h7kvok9r.fsf@HIDDEN>
 <CAGP6POKK54PbZ_kxnJjHsVj81zLyC+StPNutYBUDpQHHSQ8bzw@HIDDEN>
 <871rbzs70d.fsf@HIDDEN> <83wntrmkja.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEX29PKpoJ5ANjyE
 eXv////bjemzAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UDHA4QLku4gPIAAAGiSURBVDjLnZQJbsQg
 DEVZLoDhAsG+AMv979ZvA0mmlSq1HmWkzMMxvNjj3D8il9nLZJY55+AVBqZ+eZaeSsqjE1FZoOBK
 ClwGSHZzgK8LVAPtAZEV+LEA+7tGMBC5Zk6OOJ0MzwbyAuWAiQQBwI7rwKOY6YAhF5Jwhj4YW+K4
 QA9cFbBmMA2RDch3qs6ADOQJ7wOSa647kyEqhsYLuAWwvk8qG2RdOrc9FiGaD1gxbWufdnFqct7l
 byAmAwGgQ9Z9QNgFSC40AOfbIzGyAtgNAE5u4PMCvMDjKrIB2A3cUaG/7GrxwZfWGA/ALwCFOQ1w
 Pq7wguQK6km1w6Pk7arAbjRTss6XX9oJS/FZiscBzXnSR03LmEcJbtCct0krdsCPWABaKfO1X4Fo
 ax8QuoHitK8Q+4DJxWogpgDwths4KMiXAqy/7Q4Dql0znhaNLAoiG/joXauBKzBh++llVwHsAljr
 LwC7yGiZh4LMp3dn6QWSWi65BWus/T4mVQUJPdSiNeUBpRLmHEDnVYd9fkjsxSZ8Cv4Nxu928xmN
 NQcP+GN8AWUfXI8JbkajAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTAzLTI4VDE0OjE2OjQ2KzAw
 OjAwaXGUtAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wMy0yOFQxNDoxNjo0NiswMDowMBgsLAgA
 AAAASUVORK5CYII=
X-Now-Playing: The Style Council's _The Complete Adventures (2)_: "Soul Deep
 (Bert Bevan's Remix)"
Date: Sun, 28 Mar 2021 16:19:34 +0200
In-Reply-To: <83wntrmkja.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 28 Mar
 2021 17:15:37 +0300")
Message-ID: <87wntrqs21.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I think we should
 simply
 update the list of servers we use, it sounds > like what we have is outdated.
 The default should be useful and > easily reachable. But I'm not an expert
 on this stuff. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I think we should simply update the list of servers we use, it sounds
> like what we have is outdated.  The default should be useful and
> easily reachable.  But I'm not an expert on this stuff.

Oh, sure; we should fix whois.el.  I was just wondering whether there
was something odd going on in our basic networking layer here.

I let the connect run for longer, and I do seem to reliably get timeouts
here.  It's just that they take a long time -- this one ran for about
five minutes before I got:

Debugger entered--Lisp error: (file-error "Failed connect" "Connection timed out")
  make-network-process(:name "Whois" :buffer #<buffer *scratch*> :host "rs.internic.net" :service 43 :nowait nil :tls-parameters nil :coding nil)

That is an excessive timeout...  but I guess this is up to the OS?  We
don't specify a timeout in the make-network-process function, I think?
(It's been a while since I've read it...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 28 Mar 2021 14:15:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 10:15:47 2021
Received: from localhost ([127.0.0.1]:46685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQWCg-0002TL-LL
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 10:15:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lQWCf-0002N3-2o
 for 47431 <at> debbugs.gnu.org; Sun, 28 Mar 2021 10:15:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52851)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lQWCZ-0007fw-OU; Sun, 28 Mar 2021 10:15:39 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4935
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lQWCP-0003yM-9N; Sun, 28 Mar 2021 10:15:38 -0400
Date: Sun, 28 Mar 2021 17:15:37 +0300
Message-Id: <83wntrmkja.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <871rbzs70d.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 28 Mar 2021 16:11:14 +0200)
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
 <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
 <83tuowopgu.fsf@HIDDEN>
 <CAGP6PO+=YrFHsFU-+zJ_H1tVmE06RwQvkaUx3Zb4vS8usXYFLA@HIDDEN>
 <83r1k0ognb.fsf@HIDDEN>
 <CAGP6POLZ30nqAW89-8FVZFETwnWLzQGZ79+m9o-gtk7g0yCVow@HIDDEN>
 <83h7kvok9r.fsf@HIDDEN>
 <CAGP6POKK54PbZ_kxnJjHsVj81zLyC+StPNutYBUDpQHHSQ8bzw@HIDDEN>
 <871rbzs70d.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  47431 <at> debbugs.gnu.org
> Date: Sun, 28 Mar 2021 16:11:14 +0200
> 
> Hongyi Zhao <hongyi.zhao@HIDDEN> writes:
> 
> > open-network-stream: Failed connect: No route to host
> 
> I can reproduce this in Emacs 28...  but only intermittently.  Sometimes
> it will hang completely, and sometimes I get the timeout.
> 
> This is the backtrace (with debug-on-quit) when it just hangs:
> 
> Debugger entered--Lisp error: (quit)
>   make-network-process(:name "Whois" :buffer #<buffer *Whois*> :host "rs.internic.net" :service 43 :nowait nil :tls-parameters nil :coding nil)
>   open-network-stream("Whois" #<buffer *Whois*> "rs.internic.net" 43)
>   run-network-program("Whois" "rs.internic.net" 43 "facebook.com")
>   whois(nil "facebook.com")

I think we should simply update the list of servers we use, it sounds
like what we have is outdated.  The default should be useful and
easily reachable.  But I'm not an expert on this stuff.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 28 Mar 2021 14:11:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 10:11:29 2021
Received: from localhost ([127.0.0.1]:46679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQW8X-0001f1-3G
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 10:11:29 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lQW8V-0001en-Ld
 for 47431 <at> debbugs.gnu.org; Sun, 28 Mar 2021 10:11:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=r3FFl8xpuSSK79lpPPzDVTPDRxXwfIH2D78ck2kIq8s=; b=Xqp8+p+g5YeI9W4rD7Sx/nFi6l
 0gcZuo1jBpWfW2A3+h1fDid2+hO4L2+XJ6+nl221Q8b9kaKZv/E2GP9+HfdjCkS+avDvTfkJUeB1x
 03NZmCOXMRwkVVbaluvC9jUzVK/vtmmYz0tQnr4R47sPpfrXSho2B7dVGlFSuaBdOrTI=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lQW8M-00037I-71; Sun, 28 Mar 2021 16:11:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Hongyi Zhao <hongyi.zhao@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
 <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
 <83tuowopgu.fsf@HIDDEN>
 <CAGP6PO+=YrFHsFU-+zJ_H1tVmE06RwQvkaUx3Zb4vS8usXYFLA@HIDDEN>
 <83r1k0ognb.fsf@HIDDEN>
 <CAGP6POLZ30nqAW89-8FVZFETwnWLzQGZ79+m9o-gtk7g0yCVow@HIDDEN>
 <83h7kvok9r.fsf@HIDDEN>
 <CAGP6POKK54PbZ_kxnJjHsVj81zLyC+StPNutYBUDpQHHSQ8bzw@HIDDEN>
X-Now-Playing: The Style Council's _The Complete Adventures (2)_: "Shout to
 the Top"
Date: Sun, 28 Mar 2021 16:11:14 +0200
In-Reply-To: <CAGP6POKK54PbZ_kxnJjHsVj81zLyC+StPNutYBUDpQHHSQ8bzw@HIDDEN>
 (Hongyi Zhao's message of "Sun, 28 Mar 2021 15:12:23 +0800")
Message-ID: <871rbzs70d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Hongyi Zhao <hongyi.zhao@HIDDEN> writes: >
 open-network-stream:
 Failed connect: No route to host I can reproduce this in Emacs 28... but
 only intermittently. Sometimes it will hang completely, and sometimes I get
 the timeout. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: Eli Zaretskii <eliz@HIDDEN>, 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hongyi Zhao <hongyi.zhao@HIDDEN> writes:

> open-network-stream: Failed connect: No route to host

I can reproduce this in Emacs 28...  but only intermittently.  Sometimes
it will hang completely, and sometimes I get the timeout.

This is the backtrace (with debug-on-quit) when it just hangs:

Debugger entered--Lisp error: (quit)
  make-network-process(:name "Whois" :buffer #<buffer *Whois*> :host "rs.internic.net" :service 43 :nowait nil :tls-parameters nil :coding nil)
  open-network-stream("Whois" #<buffer *Whois*> "rs.internic.net" 43)
  run-network-program("Whois" "rs.internic.net" 43 "facebook.com")
  whois(nil "facebook.com")

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 28 Mar 2021 07:12:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 03:12:43 2021
Received: from localhost ([127.0.0.1]:45338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQPbH-00083L-2V
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 03:12:43 -0400
Received: from mail-lf1-f51.google.com ([209.85.167.51]:46632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hongyi.zhao@HIDDEN>) id 1lQPbE-000838-M5
 for 47431 <at> debbugs.gnu.org; Sun, 28 Mar 2021 03:12:41 -0400
Received: by mail-lf1-f51.google.com with SMTP id 12so3379905lfq.13
 for <47431 <at> debbugs.gnu.org>; Sun, 28 Mar 2021 00:12:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=i7FxAOoB4Lf+jGx0oC/tOlPMfUPAx5TJFGXNaP0nUe0=;
 b=YWCRbVUDm91DvZF5+Q2AZ/y/u2BFkZ/8p/ywDxg9aLZ17jzYtl3HrYIdGpAah3XTKw
 bf0YFemVhkPc63q2PtPY3W9iOGPxmxeq2O0VIuXg1+jHXMA2xpyA9dchp0LOnZ1zxY0Q
 hi5xOVH6Dr3AAfUX2wClUxl0cjYzKLwDD19/HT0HmkvNok/4MMgF1tDLVPR47sKJkZeO
 V+ro+XcKdZQIlUMnh78Qw9rtNKPIqUj6zCkBGfqY+1fYlxdiUH1gZDR1Spi8vV+CHHWj
 n/89yVoW91xLAyxkoIIsDkTKEkbtO0VLKQyIcJHj6LMPvS/CxG1to1Qg3WustTyHUcG5
 nP3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=i7FxAOoB4Lf+jGx0oC/tOlPMfUPAx5TJFGXNaP0nUe0=;
 b=Jqsgcp5UKg0O+aDSo6gTxzEZf36gbZimUN7ewcHYYhxm97cNAvAFDub+E5Qwek7n7q
 avR6Sivy8mxBGWMNW7X4Ohg+p4P+rTo7bWKmFOgmaATUccFPSIg9Mcb7JIcc36h/KFHg
 i5vEbpyIuI1GYJq6dUVRpJDpQqfzJemzmJpauXYI8BFvaBvHT3LYbqdj/pI3c5ROprWk
 P8VMq2LLO5/FV1Yd6g2bsGQ57T/77agUeidORfhCafKb7CKRgcrVQZfFDXbL2V+WiRW+
 HTyQJUUIQgPdjkaKiPlJEtAo+NEniicbIfcpf6xOuAIa9fZHQ6dbZlIlofouqB0xSSvf
 yYEw==
X-Gm-Message-State: AOAM530vWrEgHlH9HELlzo2y8G+A0ShAuDBOaVHh5DOKMkRVXjDwSANx
 N3WeAhpaNK5JJsrKOS1EVfPSrf2UrWhEObUIWSnhXnNPhgIBC9Wy
X-Google-Smtp-Source: ABdhPJwJwsFaZh8usearwvF5GDmmsAzAh+Z2Bxx7J5D1bk/3hawp2t9Qv/8K1O1Uk+UHx+HdWR15+xqT5LdZlzHZSoM=
X-Received: by 2002:a19:f50d:: with SMTP id j13mr13060022lfb.545.1616915554620; 
 Sun, 28 Mar 2021 00:12:34 -0700 (PDT)
MIME-Version: 1.0
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
 <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
 <83tuowopgu.fsf@HIDDEN>
 <CAGP6PO+=YrFHsFU-+zJ_H1tVmE06RwQvkaUx3Zb4vS8usXYFLA@HIDDEN>
 <83r1k0ognb.fsf@HIDDEN>
 <CAGP6POLZ30nqAW89-8FVZFETwnWLzQGZ79+m9o-gtk7g0yCVow@HIDDEN>
 <83h7kvok9r.fsf@HIDDEN>
In-Reply-To: <83h7kvok9r.fsf@HIDDEN>
From: Hongyi Zhao <hongyi.zhao@HIDDEN>
Date: Sun, 28 Mar 2021 15:12:23 +0800
Message-ID: <CAGP6POKK54PbZ_kxnJjHsVj81zLyC+StPNutYBUDpQHHSQ8bzw@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Mar 28, 2021 at 2:38 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Hongyi Zhao <hongyi.zhao@HIDDEN>
> > Date: Sun, 28 Mar 2021 09:41:20 +0800
> > Cc: 47431 <at> debbugs.gnu.org
> >
> > > I think that's unrelated, so I don't understand why it hangs
> > > indefinitely for you.  Are you sure you waited enough time before
> > > giving up?
> >
> > It will hang up there forever.
>
> Maybe your network connection blocks some addresses or something?
> Otherwise, how to explain that it doesn't block for me?

I further debug this problem with tcpdump for a runing `emcas -Q`
process, as described below.

For `M-x whois RET gnu.org RET`, when the query succeeds, the
following info will be captured:

$ sudo tcpdump -i any port 43
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on any, link-type LINUX_SLL (Linux cooked v1), capture size
262144 bytes
15:00:29.061914 IP6 X10DAi.56918 >
whois.publicinterestregistry.net.whois: Flags [S], seq 1929893031, win
64440, options [mss 1432,sackOK,TS val 417951633 ecr 0,nop,wscale 7],
length 0
15:00:29.398867 IP6 whois.publicinterestregistry.net.whois >
X10DAi.56918: Flags [S.], seq 1816069595, ack 1929893032, win 1440,
options [mss 1379,nop,nop,TS val 2007125977 ecr 417951633,sackOK,eol],
length 0
15:00:29.398923 IP6 X10DAi.56918 >
whois.publicinterestregistry.net.whois: Flags [.], ack 1, win 64440,
options [nop,nop,TS val 417951970 ecr 2007125977], length 0
15:00:29.399038 IP6 X10DAi.56918 >
whois.publicinterestregistry.net.whois: Flags [P.], seq 1:10, ack 1,
win 64440, options [nop,nop,TS val 417951970 ecr 2007125977], length 9
15:00:30.297592 IP6 X10DAi.56918 >
whois.publicinterestregistry.net.whois: Flags [P.], seq 1:10, ack 1,
win 64440, options [nop,nop,TS val 417952869 ecr 2007125977], length 9
15:00:31.321603 IP6 X10DAi.56918 >
whois.publicinterestregistry.net.whois: Flags [P.], seq 1:10, ack 1,
win 64440, options [nop,nop,TS val 417953893 ecr 2007125977], length 9
15:00:31.339068 IP6 whois.publicinterestregistry.net.whois >
X10DAi.56918: Flags [P.], seq 1:1368, ack 10, win 2880, options
[nop,nop,TS val 2007127334 ecr 417952869], length 1367
15:00:31.339120 IP6 X10DAi.56918 >
whois.publicinterestregistry.net.whois: Flags [.], ack 1368, win
63073, options [nop,nop,TS val 417953910 ecr 2007127334], length 0

For `M-x whois RET baidu.com RET`, when the query fails, the following
info will be captured:

$ sudo tcpdump -i any port 43
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on any, link-type LINUX_SLL (Linux cooked v1), capture size
262144 bytes
15:05:24.433913 IP X10DAi.47186 > 198.41.3.79.whois: Flags [S], seq
1963456950, win 64240, options [mss 1460,sackOK,TS val 2174254150 ecr
0,nop,wscale 7], length 0
15:05:25.465604 IP X10DAi.47186 > 198.41.3.79.whois: Flags [S], seq
1963456950, win 64240, options [mss 1460,sackOK,TS val 2174255182 ecr
0,nop,wscale 7], length 0
15:05:27.481605 IP X10DAi.47186 > 198.41.3.79.whois: Flags [S], seq
1963456950, win 64240, options [mss 1460,sackOK,TS val 2174257198 ecr
0,nop,wscale 7], length 0

I also will see the following in *Messages* buffer:

For information about GNU Emacs and the GNU system, type C-h C-a.
open-network-stream: Failed connect: No route to host

Regards
-- 
Assoc. Prof. Hongyi Zhao <hongyi.zhao@HIDDEN>
Theory and Simulation of Materials
Hebei Polytechnic University of Science and Technology engineering
NO. 552 North Gangtie Road, Xingtai, China




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 28 Mar 2021 06:38:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 02:38:25 2021
Received: from localhost ([127.0.0.1]:45334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQP45-0007Ak-0Y
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 02:38:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54160)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lQP43-0007AX-G5
 for 47431 <at> debbugs.gnu.org; Sun, 28 Mar 2021 02:38:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49156)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lQP3x-0006cg-TW; Sun, 28 Mar 2021 02:38:18 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3028
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lQP3w-0003XU-VT; Sun, 28 Mar 2021 02:38:17 -0400
Date: Sun, 28 Mar 2021 09:38:24 +0300
Message-Id: <83h7kvok9r.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Hongyi Zhao <hongyi.zhao@HIDDEN>
In-Reply-To: <CAGP6POLZ30nqAW89-8FVZFETwnWLzQGZ79+m9o-gtk7g0yCVow@HIDDEN>
 (message from Hongyi Zhao on Sun, 28 Mar 2021 09:41:20 +0800)
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
 <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
 <83tuowopgu.fsf@HIDDEN>
 <CAGP6PO+=YrFHsFU-+zJ_H1tVmE06RwQvkaUx3Zb4vS8usXYFLA@HIDDEN>
 <83r1k0ognb.fsf@HIDDEN>
 <CAGP6POLZ30nqAW89-8FVZFETwnWLzQGZ79+m9o-gtk7g0yCVow@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Hongyi Zhao <hongyi.zhao@HIDDEN>
> Date: Sun, 28 Mar 2021 09:41:20 +0800
> Cc: 47431 <at> debbugs.gnu.org
> 
> > I think that's unrelated, so I don't understand why it hangs
> > indefinitely for you.  Are you sure you waited enough time before
> > giving up?
> 
> It will hang up there forever.

Maybe your network connection blocks some addresses or something?
Otherwise, how to explain that it doesn't block for me?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 28 Mar 2021 01:41:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 21:41:40 2021
Received: from localhost ([127.0.0.1]:45215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQKQu-0007xf-An
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 21:41:40 -0400
Received: from mail-lj1-f180.google.com ([209.85.208.180]:33394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hongyi.zhao@HIDDEN>) id 1lQKQs-0007xS-LA
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 21:41:39 -0400
Received: by mail-lj1-f180.google.com with SMTP id 15so11909125ljj.0
 for <47431 <at> debbugs.gnu.org>; Sat, 27 Mar 2021 18:41:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=/jB1y+7dYHq1zOXdepHU3q2oYuBHarT5wvovur7dmIg=;
 b=MhqrzY1Tde3vvtdrVwCwrNryCRXuQEBpzjQxk/mFpCryc/zUkZEOdaWiZDnorSEXtj
 aJQh4xbr0H2u3tQzqmjxyeTh/yOhFDUiCT1c523KPW8H4zhU29DUtGSdhVJ38zGsioAf
 0983beXGlcdff4SeJoZJ9QvtpSvLtQPDra73oP0GNfyPlBRtlZD247QaKmHYon2d1O88
 wHjt9XXOhb3YjL7TfZPzJm86AF2rpbuSX3Y+P6e/L8DBbCn6AB2Er1LtLm6AwIGri9uF
 jrFJBbvwGEHY0Af2+Q7JrYXCkiMYFN3aJZktEpnsPbAgb7Qrj7ArytlvWFQg3yBuz7fl
 b4xQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=/jB1y+7dYHq1zOXdepHU3q2oYuBHarT5wvovur7dmIg=;
 b=MJuCQE+bF5DDuhGZMhimChplQBXJ9BTZ902AbUimgJib1elBUQGxGj75c2YVtYIgfi
 UIalpPivmJdpBUBSaRP0hGagoUOncpwVsQjXGbfOJv/BZq6R9r4vXr6azF2lVPBYTZYh
 DM9VoXtCF6J9HvLTVEBuLJU8kiFByn1i/zjcbW8CkVSEbakCBC4wI1O8zi+m03x/qmQQ
 ngeK/KyKm18ur6keKLheTYNwORaoy5pdNrDU2nzz5yBbUFgF78x2cmDDnR8WRmaEEbrH
 SJWPizu9DX1afb+IsCbJbkoXEVWzTFa3tCpKJQaFrFXhj2vr+qWjhKXokettEKC7sNyL
 XeXQ==
X-Gm-Message-State: AOAM531DG/1TG1LEABixueDLNA9xOx7giF/ysWu5OSoDihhWkeSPBOCJ
 hiLK6JhsecaBKvvrdqGg5IuRgS1980wmfMdy1K8=
X-Google-Smtp-Source: ABdhPJx+a8bhSnTKUs6O0anJHxuaB9Gw9ByJoU5b29Pz/fRqFLi9v1RhxW+05nmJv9gZWShcZ985AbgUna21lrkcVoU=
X-Received: by 2002:a2e:3816:: with SMTP id f22mr13491164lja.287.1616895692458; 
 Sat, 27 Mar 2021 18:41:32 -0700 (PDT)
MIME-Version: 1.0
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
 <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
 <83tuowopgu.fsf@HIDDEN>
 <CAGP6PO+=YrFHsFU-+zJ_H1tVmE06RwQvkaUx3Zb4vS8usXYFLA@HIDDEN>
 <83r1k0ognb.fsf@HIDDEN>
In-Reply-To: <83r1k0ognb.fsf@HIDDEN>
From: Hongyi Zhao <hongyi.zhao@HIDDEN>
Date: Sun, 28 Mar 2021 09:41:20 +0800
Message-ID: <CAGP6POLZ30nqAW89-8FVZFETwnWLzQGZ79+m9o-gtk7g0yCVow@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Mar 27, 2021 at 9:44 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Hongyi Zhao <hongyi.zhao@HIDDEN>
> > Date: Sat, 27 Mar 2021 20:29:24 +0800
> > Cc: 47431 <at> debbugs.gnu.org
> >
> > > > >   open-network-stream: make client process failed: Connection timed out, :name, Whois, :buffer, *Whois*, :host, rs.internic.net, :service, 43, :nowait, nil, :tls-parameters, nil, :coding, nil
> > > >
> > > > How to obtain the above debug information?
> > >
> > > It's in *Messages*.
> >
> > But for my case, I see the following in *Messages* buffer:
> >
> > Eager macro-expansion failure: (wrong-type-argument listp [(first-item
> > . rest-items) (sp-get-list-items)])
> > For information about GNU Emacs and the GNU system, type C-h C-a.
>
> I think that's unrelated, so I don't understand why it hangs
> indefinitely for you.  Are you sure you waited enough time before
> giving up?

It will hang up there forever.

Regards
-- 
Assoc. Prof. Hongyi Zhao <hongyi.zhao@HIDDEN>
Theory and Simulation of Materials
Hebei Polytechnic University of Science and Technology engineering
NO. 552 North Gangtie Road, Xingtai, China




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 27 Mar 2021 13:44:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 09:44:29 2021
Received: from localhost ([127.0.0.1]:43580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ9Eq-0002dO-UV
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 09:44:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lQ9Eo-0002dB-M3
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 09:44:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35872)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lQ9Ej-0006MH-ES; Sat, 27 Mar 2021 09:44:21 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4222
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lQ9Ei-0002Fn-OL; Sat, 27 Mar 2021 09:44:21 -0400
Date: Sat, 27 Mar 2021 16:44:24 +0300
Message-Id: <83r1k0ognb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Hongyi Zhao <hongyi.zhao@HIDDEN>
In-Reply-To: <CAGP6PO+=YrFHsFU-+zJ_H1tVmE06RwQvkaUx3Zb4vS8usXYFLA@HIDDEN>
 (message from Hongyi Zhao on Sat, 27 Mar 2021 20:29:24 +0800)
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
 <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
 <83tuowopgu.fsf@HIDDEN>
 <CAGP6PO+=YrFHsFU-+zJ_H1tVmE06RwQvkaUx3Zb4vS8usXYFLA@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Hongyi Zhao <hongyi.zhao@HIDDEN>
> Date: Sat, 27 Mar 2021 20:29:24 +0800
> Cc: 47431 <at> debbugs.gnu.org
> 
> > > >   open-network-stream: make client process failed: Connection timed out, :name, Whois, :buffer, *Whois*, :host, rs.internic.net, :service, 43, :nowait, nil, :tls-parameters, nil, :coding, nil
> > >
> > > How to obtain the above debug information?
> >
> > It's in *Messages*.
> 
> But for my case, I see the following in *Messages* buffer:
> 
> Eager macro-expansion failure: (wrong-type-argument listp [(first-item
> . rest-items) (sp-get-list-items)])
> For information about GNU Emacs and the GNU system, type C-h C-a.

I think that's unrelated, so I don't understand why it hangs
indefinitely for you.  Are you sure you waited enough time before
giving up?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 27 Mar 2021 12:29:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 08:29:46 2021
Received: from localhost ([127.0.0.1]:43531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ84Y-0000oV-DA
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 08:29:46 -0400
Received: from mail-lj1-f170.google.com ([209.85.208.170]:38623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hongyi.zhao@HIDDEN>) id 1lQ84U-0000o6-HO
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 08:29:44 -0400
Received: by mail-lj1-f170.google.com with SMTP id s17so10464042ljc.5
 for <47431 <at> debbugs.gnu.org>; Sat, 27 Mar 2021 05:29:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=cv6kKr0nibexIYonpFEPlRCwWTmuNKBF15PzUw33bCA=;
 b=S7g/kDPXBytj9Ip0U11d/ubgcrQPR+OLGaEURB2MnnWxcEBBYNSNMIu02Tqp3uyzIe
 WTJhy7xC26Ly+/O80b8mXf2WXb8F6h4XYe8HP/im+jUbd/L9IExAx02pQZe1olorsp5F
 Gfiu4E6tjur5dHlfZdI7N/SG/AyV2rmq8wHX7oytlP8xAedCJzbd/lPJUKJIxqm7i3iM
 pHRiMgukbuD826oCSi47e/xjwRF4cwDaOrfOhNE7YwX5DfYXPIZGjwXlhh1nhLiJyOaR
 FXw6mX2yv+8H76XMToh042znkvbZYN9IzvvdarT5hO2lv41FYeEZ75qOMZrHJ7xUrDkr
 2oFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=cv6kKr0nibexIYonpFEPlRCwWTmuNKBF15PzUw33bCA=;
 b=lqwoJCOyghCc9N9/ZzWkdSu6DR/p49ZpuxbVT4cOXm4aT4tXu66IoPLP88AqKKYLd3
 0DrULZ9xv2GYHlaFsowmXvKXGiWWEkq4VGRjkkQ3XRll52GdF8zGruwO60K3O9HqoOcC
 1r9e983K2MySpbGCn/1hlxjy1LJjQsU8mTae4fVKZDjOrk+bk6C7NujBsuvJ/+2+VIK9
 /PFHlqNf2+9c+INKM+3FoDyb3GRu8rbxJIa8LmVNhuDWfCv6z0U72f/C1LFGGwee7TPo
 LzLjK4OzGZ4bl3Qoes+ULULV4XwCo4zqLVLD288kWsArGMzJi/loVYqXw/dTeCc/Foc0
 0e1A==
X-Gm-Message-State: AOAM533KYek94+YOUHyVJ3buk0zdKI/rzPnQlJRm8jRQeQCMvaVnrs7r
 cCC15Xat2sbdZJ1nbbUD9iCVINZho+boIU3WZLQ=
X-Google-Smtp-Source: ABdhPJxQ+IyW8QR90GQkF/pwHwGxtZPCNpKdSOcrOT5hb20wxtrbgaYI2LcvNuwhAHMojoDDs+oBa9XRbsXuNXA9zyk=
X-Received: by 2002:a2e:99c4:: with SMTP id l4mr11977321ljj.13.1616848176454; 
 Sat, 27 Mar 2021 05:29:36 -0700 (PDT)
MIME-Version: 1.0
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
 <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
 <83tuowopgu.fsf@HIDDEN>
In-Reply-To: <83tuowopgu.fsf@HIDDEN>
From: Hongyi Zhao <hongyi.zhao@HIDDEN>
Date: Sat, 27 Mar 2021 20:29:24 +0800
Message-ID: <CAGP6PO+=YrFHsFU-+zJ_H1tVmE06RwQvkaUx3Zb4vS8usXYFLA@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Mar 27, 2021 at 6:33 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Hongyi Zhao <hongyi.zhao@HIDDEN>
> > Date: Sat, 27 Mar 2021 17:57:31 +0800
> > Cc: 47431 <at> debbugs.gnu.org
> >
> > > It doesn't hang here (I'm not on Ubuntu, though).  It times out:
> > >
> > >   open-network-stream: make client process failed: Connection timed out, :name, Whois, :buffer, *Whois*, :host, rs.internic.net, :service, 43, :nowait, nil, :tls-parameters, nil, :coding, nil
> >
> > How to obtain the above debug information?
>
> It's in *Messages*.

But for my case, I see the following in *Messages* buffer:

Eager macro-expansion failure: (wrong-type-argument listp [(first-item
. rest-items) (sp-get-list-items)])
For information about GNU Emacs and the GNU system, type C-h C-a.

Regards
-- 
Assoc. Prof. Hongyi Zhao <hongyi.zhao@HIDDEN>
Theory and Simulation of Materials
Hebei Polytechnic University of Science and Technology engineering
NO. 552 North Gangtie Road, Xingtai, China




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 27 Mar 2021 11:04:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 07:04:52 2021
Received: from localhost ([127.0.0.1]:43483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ6kO-00059O-1U
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 07:04:52 -0400
Received: from heytings.org ([95.142.160.155]:43524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lQ6kN-00059G-09
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 07:04:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1616843089;
 bh=1ldg4iQ8rHUL6W6i+6nyotiJoo3EI2IdZIcsnAY4ULA=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=XJdKIGUZHqJ5liz4NNdxVn+I/gSke4xxjq8iEWyMBUSfC4+AVhYfRLOtBQVQUMRod
 w9GNYAkO0HlUAS6zpTjWYTWznb0C/6TgCV1Tw9NwhzVELAzeA307all6sCgZwFf8Qr
 /Iwnh1NyAkUUGpLXGu1rkFi6iJF9ha75OSJ8FpgkuOrNR3UAlmnlx0phtALAq9EVx9
 s4BLhfs/QVnPMdpb1yRdonV8aYU0xDYClunv2F8duL3Zrhf/sRe5AwdsSMJu89Vd6g
 76BcmIhNUMlchJX5TSN+xuntSOXnx5wvsWTsymxpH5CW9VlrKc7k9vtERdnYovJQjY
 QSgmycPyBcbHg==
Date: Sat, 27 Mar 2021 11:04:49 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
In-Reply-To: <b299646274aa53c1efd0@HIDDEN>
Message-ID: <b2996462740da408d1a9@HIDDEN>
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
 <83y2e9nhne.fsf@HIDDEN> <b299646274aa53c1efd0@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> The manpage of whois says: "This version of the whois client tries to 
>>> guess the right server to ask for the specified object. If no guess 
>>> can be made it will connect to whois.networksolutions.com for NIC 
>>> handles or whois.arin.net for IPv4 addresses and network names."
>> 
>> We don't use the external 'whois' command, so its man page is not 
>> relevant, I think.
>
> Indeed.  Would it not make sense to use the external whois command if it 
> is available, and to fall back to the Lisp code when it is not?
>
> In any case, the whois-server-tld alist needs to be updated, it has only 
> 15 entries [1], the whois client for GNU/Linux has more than 400 (see 
> [2]).  And these 400 are only for the domain name lookups, there are two 
> others for IP addresses, another for NIC handles, and another one for AS 
> numbers...
>

Two other _lists_, I mean.

>
> [1] Its first entry is not a valid server name, all other ones except 
> the "org" and "mil" are valid server names but are not the appropriate 
> server for the corresponding TLD.
>
> [2] https://raw.githubusercontent.com/rfc1036/whois/next/tld_serv_list
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 27 Mar 2021 11:01:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 07:01:40 2021
Received: from localhost ([127.0.0.1]:43479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ6hI-0004Kd-C4
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 07:01:40 -0400
Received: from heytings.org ([95.142.160.155]:43508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lQ6hG-0004Hu-9y
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 07:01:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1616842896;
 bh=wpR9M/Tp0O6FFe5DR36iOjtHYJsVcly9aTMCoXhsCEA=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=t6MI5jRPmjZ1S+0rtCjsZ+cLjQr+J4bN7D9DiyXMBmh09C+bjG5TXMO2LKyFgWlgF
 CesOyPL4jCkDdejn0n+YJLIbbhAETyH1uHQeNzhSjMCTcaTFNvdsqZZFEXQYay+5M0
 30cQ6j8yF/9TCvhibdCq76OeYD48q6xT6rtMUg9yUQN0O+0K5lZTAL/BtEz1iqWoN3
 AEoIMsYHqaDIVnQ3kX31j5m6y6FmzUdxNNcchZAbJAvldqpGPAoExJ1SR1w1snkRHj
 fs3S2VIAhcqDt5RFwY4YXTD8sA2TC0LthaoJrWbVWEs3chK9Dkx/fjkmnr50naqsvl
 P0GcF9UQJfCWg==
Date: Sat, 27 Mar 2021 11:01:36 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
In-Reply-To: <83y2e9nhne.fsf@HIDDEN>
Message-ID: <b299646274aa53c1efd0@HIDDEN>
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
 <83y2e9nhne.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> The manpage of whois says: "This version of the whois client tries to 
>> guess the right server to ask for the specified object. If no guess can 
>> be made it will connect to whois.networksolutions.com for NIC handles 
>> or whois.arin.net for IPv4 addresses and network names."
>
> We don't use the external 'whois' command, so its man page is not 
> relevant, I think.
>

Indeed.  Would it not make sense to use the external whois command if it 
is available, and to fall back to the Lisp code when it is not?

In any case, the whois-server-tld alist needs to be updated, it has only 
15 entries [1], the whois client for GNU/Linux has more than 400 (see 
[2]).  And these 400 are only for the domain name lookups, there are two 
others for IP addresses, another for NIC handles, and another one for AS 
numbers...

[1] Its first entry is not a valid server name, all other ones except the 
"org" and "mil" are valid server names but are not the appropriate server 
for the corresponding TLD.

[2] https://raw.githubusercontent.com/rfc1036/whois/next/tld_serv_list




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 27 Mar 2021 10:33:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 06:33:59 2021
Received: from localhost ([127.0.0.1]:43450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ6GV-0002IA-7L
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 06:33:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lQ6GT-0002Hx-FY
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 06:33:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34453)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lQ6GO-0000xf-3G; Sat, 27 Mar 2021 06:33:52 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4196
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lQ6GN-0001Py-1p; Sat, 27 Mar 2021 06:33:51 -0400
Date: Sat, 27 Mar 2021 13:33:53 +0300
Message-Id: <83tuowopgu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Hongyi Zhao <hongyi.zhao@HIDDEN>
In-Reply-To: <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
 (message from Hongyi Zhao on Sat, 27 Mar 2021 17:57:31 +0800)
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
 <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Hongyi Zhao <hongyi.zhao@HIDDEN>
> Date: Sat, 27 Mar 2021 17:57:31 +0800
> Cc: 47431 <at> debbugs.gnu.org
> 
> > It doesn't hang here (I'm not on Ubuntu, though).  It times out:
> >
> >   open-network-stream: make client process failed: Connection timed out, :name, Whois, :buffer, *Whois*, :host, rs.internic.net, :service, 43, :nowait, nil, :tls-parameters, nil, :coding, nil
> 
> How to obtain the above debug information?

It's in *Messages*.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 27 Mar 2021 09:57:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 05:57:50 2021
Received: from localhost ([127.0.0.1]:43438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ5hW-000195-Bf
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 05:57:50 -0400
Received: from mail-lf1-f50.google.com ([209.85.167.50]:33561)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hongyi.zhao@HIDDEN>) id 1lQ5hU-00018o-Tc
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 05:57:49 -0400
Received: by mail-lf1-f50.google.com with SMTP id o126so11418197lfa.0
 for <47431 <at> debbugs.gnu.org>; Sat, 27 Mar 2021 02:57:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=CYFimj51zj9l90XQq5ITPP7c4rVcKOMuJCTqUkPAXLo=;
 b=HhYWVfdGSXrIwsp8CQL5MWiqzznpPEp0e4E3O+DQ2xFJbwaw/avYh+dgkhx+a9KgXn
 Ox4/xUbbktACNKLUsoov9TlqSySCekzsABaMAUmrQow6UtkiC+kiaIS7bdFsUW06r9Th
 tvKTMmimIunH+IxiKPyb585O8CGuliadrPui9RxYeVhYqGwYhXDnCZx9GIYQzJNxQOke
 C80bFRXA4Fne0+tCcQJmuK/AMepXSaC9SDWu9Nbl2VnYq69qgIG0e844n/zYz95AHiCl
 pcHCNKZLS4hgAHWhPq0Bx5rIVvIk0w6Pt1IBXZT7z/fE7mYrgLMSLiJTm+I1zhJF1yrq
 c4cw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=CYFimj51zj9l90XQq5ITPP7c4rVcKOMuJCTqUkPAXLo=;
 b=qoJ8IswZKn6LYBCSSX1w9lUnso8XkyWNsN8Y9bbpXoCXcCUt9aaWhBlfThg2Tr1w43
 +YpbpeI8V2a6lXtnNoZwMc86df/m/l/bry6n3qqwTCrEgqA80mUClODr5QY43CsLIUw9
 luTkJ6HCO9mLDre5fzvvNRmTgNaVb1DoKMStjmpk+pGBlPpHzqlyTNdPTXiXOz6HSCKa
 U15uYjFdz6zhxuMIRhsZrLz0lpU11GDY1LNBAi2UKCmChuqU9nwjyt01Vh0HamsV0W5z
 zrqlYYZ5EVqZmbhS0d3A2o+ARwAL59CmUWD0POt7kOPhjliyyVaIyNjNdn4DU2VoWVyC
 xrFA==
X-Gm-Message-State: AOAM532I7Xp1xjwhKMAFah6DWziBX51G0+cvFFEGhPOm1hOBKNmavf12
 3YHuhRo4X8QeYuDy5vZPUXEh8a2aPdNSDoJNcES5hGVqj8EzhQ==
X-Google-Smtp-Source: ABdhPJyxlGXuQrbzlFRFjLbWe9RiYI+S1MpkZIRU9z20o+14uRWAo/WeQThAdVwlxBiGsmW/pa1EVNZ1PPc1CoOp8GE=
X-Received: by 2002:a19:f501:: with SMTP id j1mr11313294lfb.231.1616839062831; 
 Sat, 27 Mar 2021 02:57:42 -0700 (PDT)
MIME-Version: 1.0
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
In-Reply-To: <835z1dp0qg.fsf@HIDDEN>
From: Hongyi Zhao <hongyi.zhao@HIDDEN>
Date: Sat, 27 Mar 2021 17:57:31 +0800
Message-ID: <CAGP6PO+iFOPSettwov=yiyZ_9bu+uSnkyM-fO3KB1Ohnf7QLxQ@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Mar 27, 2021 at 2:30 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Hongyi Zhao <hongyi.zhao@HIDDEN>
> > Date: Sat, 27 Mar 2021 09:39:20 +0800
> >
> > On Ubuntu 20.04, I'm using the self compiled git master version of Emacs.
> > It seems that the whois client in Emacs only works for some specific domain
> >  names, for example gnu.org and emacs.org, but for others like
> > facebook.com it just hangs and returns nothing. The following command
> > will trigger the error:
> >
> > "M-x RET whois RET facebook.com"
>
> It doesn't hang here (I'm not on Ubuntu, though).  It times out:
>
>   open-network-stream: make client process failed: Connection timed out, :name, Whois, :buffer, *Whois*, :host, rs.internic.net, :service, 43, :nowait, nil, :tls-parameters, nil, :coding, nil

How to obtain the above debug information?

> If I try a different server, it does work:
>
>   C-u M-x whois RET facebook.com RET whois.crsnic.net RET
>
> This returns immediately with a large *Whois* buffer.
>
> Perhaps some network expert could tell why we use by default a server
> that is less useful.



-- 
Assoc. Prof. Hongyi Zhao <hongyi.zhao@HIDDEN>
Theory and Simulation of Materials
Hebei Polytechnic University of Science and Technology engineering
NO. 552 North Gangtie Road, Xingtai, China




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 27 Mar 2021 09:50:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 05:50:42 2021
Received: from localhost ([127.0.0.1]:43434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ5ac-0000yd-Hg
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 05:50:42 -0400
Received: from mail-lj1-f177.google.com ([209.85.208.177]:42712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hongyi.zhao@HIDDEN>) id 1lQ5aa-0000yP-BB
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 05:50:41 -0400
Received: by mail-lj1-f177.google.com with SMTP id 184so10142716ljf.9
 for <47431 <at> debbugs.gnu.org>; Sat, 27 Mar 2021 02:50:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=K2BnkjtgKC51uNOomtv+qMkagXad4+zm9UXe8yaY/OY=;
 b=Legti5q63SuugRQsal3R37/mYO6IWvfrKZqYEzcDXrYUNZnuSAt6W3bxuYLX15HeH1
 MBEBj9yeBFqjU6USiVPV+Eu1aRj3BoOzb0pyl56EdL3nJ1hipMnkvBA94EuJr3wtClmt
 PSbIGBxfUfHcE3dSvMUTpy7dqlKVy6w6qkMwta3/erl49YzoJqlIXNtpav1S1sMTGumH
 0GJSNwZfWrZ9u99U6x6w+O4OIqXRWqCfmlBe0lCbd6idGtf8t1JwCoASK4MZ87zu4Yl/
 7UMUx3+K2hpTg0xz8KkIyvOaqvCeqjT3PpqnJ9ix3TsTZCyDiNRuRjLnfoIamwgE73mK
 hr+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=K2BnkjtgKC51uNOomtv+qMkagXad4+zm9UXe8yaY/OY=;
 b=BeQRJ2dpsuASmESRkIwb8rhu12y8pMUvmQoUvHM8Oji2ZPnQoHvV2jmwE9GIsAcHEM
 IyGqyNKM/15swch8W9b1B77vUuSlAqdVBjGSS710CEJ/LZnHyLY36pqVGJacVaNAScN7
 EdPk1eD+SygKDnGi7ayrg5A9x9mOqpEaF+MX6lg3sgYCSmDexeKUakociFECPS1NTshS
 EaD1CVRXJ7jeSu3uxxMsAKh9BlXEQFQs78zDA+ntPeXHmgFb/RSEGGXPLPNt6Lh6kfp5
 7sPP/iRxVwPpZY0HBcAd37onjWS94/B8OBojK8Tj1tu9zWA4I9lOVWx6UYPt8ywvKZgT
 gcvw==
X-Gm-Message-State: AOAM530v89auPiPj55cdt3gnPqWxHEkky5G8sqixU9EvDgeflBQ70dHR
 dcHmIPfoj6+gF+fRHEGAB0yObAFtJiOoge1+Xgg=
X-Google-Smtp-Source: ABdhPJw+FDO0HW8V3Wi0YlCh2AfpHcJnwzbDoL8cbubm42lQMwQWStha2Ifrwca8CjCw+0BoZICC3foRWxWESZFk9vQ=
X-Received: by 2002:a2e:99c4:: with SMTP id l4mr11618154ljj.13.1616838634040; 
 Sat, 27 Mar 2021 02:50:34 -0700 (PDT)
MIME-Version: 1.0
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
In-Reply-To: <835z1dp0qg.fsf@HIDDEN>
From: Hongyi Zhao <hongyi.zhao@HIDDEN>
Date: Sat, 27 Mar 2021 17:50:22 +0800
Message-ID: <CAGP6POKxUagNLB9H_GUOKbxhKPKiPhoMVbEYYF+5MrR9-qgAQw@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Mar 27, 2021 at 2:30 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Hongyi Zhao <hongyi.zhao@HIDDEN>
> > Date: Sat, 27 Mar 2021 09:39:20 +0800
> >
> > On Ubuntu 20.04, I'm using the self compiled git master version of Emacs.
> > It seems that the whois client in Emacs only works for some specific domain
> >  names, for example gnu.org and emacs.org, but for others like
> > facebook.com it just hangs and returns nothing. The following command
> > will trigger the error:
> >
> > "M-x RET whois RET facebook.com"
>
> It doesn't hang here (I'm not on Ubuntu, though).  It times out:
>
>   open-network-stream: make client process failed: Connection timed out, :name, Whois, :buffer, *Whois*, :host, rs.internic.net, :service, 43, :nowait, nil, :tls-parameters, nil, :coding, nil
>
> If I try a different server, it does work:
>
>   C-u M-x whois RET facebook.com RET whois.crsnic.net RET

Yep. I confirmed that you're absolutely right. But how can we change
the default whois server picked by the client, say, in Emacs's
initialization file?

>
> This returns immediately with a large *Whois* buffer.
>
> Perhaps some network expert could tell why we use by default a server
> that is less useful.



-- 
Assoc. Prof. Hongyi Zhao <hongyi.zhao@HIDDEN>
Theory and Simulation of Materials
Hebei Polytechnic University of Science and Technology engineering
NO. 552 North Gangtie Road, Xingtai, China




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 27 Mar 2021 08:08:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 04:08:07 2021
Received: from localhost ([127.0.0.1]:43372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ3zL-0004mG-94
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 04:08:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lQ3zK-0004lk-0U
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 04:08:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33150)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lQ3zE-0002vV-RP; Sat, 27 Mar 2021 04:08:00 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2854
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lQ3zE-0004sV-4X; Sat, 27 Mar 2021 04:08:00 -0400
Date: Sat, 27 Mar 2021 11:08:05 +0300
Message-Id: <83y2e9nhne.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <b299646274818503158d@HIDDEN> (message from Gregory
 Heytings on Sat, 27 Mar 2021 07:23:20 +0000)
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN> <b299646274818503158d@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org, hongyi.zhao@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Sat, 27 Mar 2021 07:23:20 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: Hongyi Zhao <hongyi.zhao@HIDDEN>, 47431 <at> debbugs.gnu.org
> 
> The manpage of whois says: "This version of the whois client tries to 
> guess the right server to ask for the specified object. If no guess can be 
> made it will connect to whois.networksolutions.com for NIC handles or 
> whois.arin.net for IPv4 addresses and network names."

We don't use the external 'whois' command, so its man page is not
relevant, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 27 Mar 2021 07:23:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 03:23:24 2021
Received: from localhost ([127.0.0.1]:43326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ3I3-0003en-Oy
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 03:23:24 -0400
Received: from heytings.org ([95.142.160.155]:43328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lQ3I1-0003ed-Fk
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 03:23:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1616829800;
 bh=a/XzkZeiTQvUo+7eXaNjWLG0+Yz4L7tU75WAvZjKO/o=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=m5JwxOm+doKq1yl5PNPr8mCnsD8zQ7o4v53WJNFFiMOwepkU7u7L+jvb+pIg0nVIB
 Vs1BvHT+beYYqNjyqq6a+ya8pmgDFxElhH9AYXE1HRHiDo8EM14R/o27EfReaQA0JG
 yxZdB4g3W8A+yfWLtUlgzlxBezePnFL0Sif2/bgxqi1+BQurQE/mt8TiJqoMyO0kzh
 MVcwtiWjlS6qpi3VkGpF1EpBBbqz+K09JEfQtr5qr/PxFsgqQSxJud/d7KCFB4f4om
 GFUi5+65hKESNp5Fb6v54v1RlBsU31S23jh11U3PK9IFplo1Igv64mXeQczwCZC1Hp
 +NHbhIy2LcLhg==
Date: Sat, 27 Mar 2021 07:23:20 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
In-Reply-To: <835z1dp0qg.fsf@HIDDEN>
Message-ID: <b299646274818503158d@HIDDEN>
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 <835z1dp0qg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org, Hongyi Zhao <hongyi.zhao@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> On Ubuntu 20.04, I'm using the self compiled git master version of 
>> Emacs. It seems that the whois client in Emacs only works for some 
>> specific domain names, for example gnu.org and emacs.org, but for 
>> others like facebook.com it just hangs and returns nothing. The 
>> following command will trigger the error:
>>
>> "M-x RET whois RET facebook.com"
>
> It doesn't hang here (I'm not on Ubuntu, though).  It times out:
>
>  open-network-stream: make client process failed: Connection timed out, 
> :name, Whois, :buffer, *Whois*, :host, rs.internic.net, :service, 43, 
> :nowait, nil, :tls-parameters, nil, :coding, nil
>
> If I try a different server, it does work:
>
>  C-u M-x whois RET facebook.com RET whois.crsnic.net RET
>
> This returns immediately with a large *Whois* buffer.
>
> Perhaps some network expert could tell why we use by default a server 
> that is less useful.
>

(I'm not a network expert, but...)

It is probably better to let the whois client select the appropriate 
server itself.  The current default whois-server-name (rs.internic.net) 
doesn't work at all, and although whois-guess-server is t, it doesn't work 
well.

The manpage of whois says: "This version of the whois client tries to 
guess the right server to ask for the specified object. If no guess can be 
made it will connect to whois.networksolutions.com for NIC handles or 
whois.arin.net for IPv4 addresses and network names."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at 47431 <at> debbugs.gnu.org:


Received: (at 47431) by debbugs.gnu.org; 27 Mar 2021 06:30:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 02:30:40 2021
Received: from localhost ([127.0.0.1]:43185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ2T2-0002CU-Hf
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 02:30:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lQ2T1-0002CI-Fc
 for 47431 <at> debbugs.gnu.org; Sat, 27 Mar 2021 02:30:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59612)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lQ2St-0000SG-L0; Sat, 27 Mar 2021 02:30:32 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4800
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lQ2Sr-0006sN-9Y; Sat, 27 Mar 2021 02:30:30 -0400
Date: Sat, 27 Mar 2021 09:30:31 +0300
Message-Id: <835z1dp0qg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Hongyi Zhao <hongyi.zhao@HIDDEN>
In-Reply-To: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
 (message from Hongyi Zhao on Sat, 27 Mar 2021 09:39:20 +0800)
Subject: Re: bug#47431: Process Whois connection broken by remote peer.
References: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47431
Cc: 47431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Hongyi Zhao <hongyi.zhao@HIDDEN>
> Date: Sat, 27 Mar 2021 09:39:20 +0800
> 
> On Ubuntu 20.04, I'm using the self compiled git master version of Emacs.
> It seems that the whois client in Emacs only works for some specific domain
>  names, for example gnu.org and emacs.org, but for others like
> facebook.com it just hangs and returns nothing. The following command
> will trigger the error:
> 
> "M-x RET whois RET facebook.com"

It doesn't hang here (I'm not on Ubuntu, though).  It times out:

  open-network-stream: make client process failed: Connection timed out, :name, Whois, :buffer, *Whois*, :host, rs.internic.net, :service, 43, :nowait, nil, :tls-parameters, nil, :coding, nil

If I try a different server, it does work:

  C-u M-x whois RET facebook.com RET whois.crsnic.net RET

This returns immediately with a large *Whois* buffer.

Perhaps some network expert could tell why we use by default a server
that is less useful.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Mar 2021 01:39:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 26 21:39:37 2021
Received: from localhost ([127.0.0.1]:42964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lPxvN-0007dM-HB
	for submit <at> debbugs.gnu.org; Fri, 26 Mar 2021 21:39:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:47510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hongyi.zhao@HIDDEN>) id 1lPxvM-0007dE-0Z
 for submit <at> debbugs.gnu.org; Fri, 26 Mar 2021 21:39:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50430)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <hongyi.zhao@HIDDEN>)
 id 1lPxvL-0000R8-O2
 for bug-gnu-emacs@HIDDEN; Fri, 26 Mar 2021 21:39:35 -0400
Received: from mail-lf1-x132.google.com ([2a00:1450:4864:20::132]:36574)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <hongyi.zhao@HIDDEN>)
 id 1lPxvK-0006CG-2S
 for bug-gnu-emacs@HIDDEN; Fri, 26 Mar 2021 21:39:35 -0400
Received: by mail-lf1-x132.google.com with SMTP id n138so10370623lfa.3
 for <bug-gnu-emacs@HIDDEN>; Fri, 26 Mar 2021 18:39:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=KLYs6N08htltRAnqv5O/SaFkkLrM06QgSZYD9EI4OcE=;
 b=vfaJEslbAmupkBXmtB71yQhZavrE2fohCOxD0xKUzttmwIqOZWSFZ9YUzzTmCJrUBW
 +DNpqnvj2I/wWtpdgT5HiEXv+ZoI5+K7ORd42OlP+DLrEbSkb2Y80+JT3IOpvPfi8NAc
 DIrZZJvb/Tj+snYRpdfH//6iTusnySDUjVZ8hkUeJOTAnouaAvy4Yv3M7c7nF7hRj9se
 ygWqvfYnka/AXpYsNuIhEXQbI0fXGmNCPKgfsHILkH4y+zeMAiW4rcK6doJP5bgXIqcP
 VXNk4kUyNjmnswXwEJHX+V5m738+v1GztGpr0L6GKRiYG2tvoBJN8bbmYjhOkIFXs/I8
 b3xg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=KLYs6N08htltRAnqv5O/SaFkkLrM06QgSZYD9EI4OcE=;
 b=XUaTvpTvR64j4km2oyqi1wIHyLnPBp5AXe3JT/7ZbFnlQJLQkMA48didiXRWo5v10y
 vaHQXhdxjaNixp0AZCyHz9CFVdavEvPcXgu/nl0TbFSeKXSt7Hjt70CJYvVi/s+oakLz
 KKRk01AQnkRNoHy6zvLbkmLonmYSMxcQwmuqY214wSg4Ysc821YcmBCfRiB0r7oJD1g1
 xf/rA1XVcH0ley+GLWWm6fIXazJzVTj0pnwgxHbdYtCCNX23lkGo47Sk2Vrswc+qC6QV
 Ide62GL0NR4OXfw/B4S3qNLV0bUXwofA8h4g5KY+bTuNMZ5DAIpMz8ZQKHlbIA3a0pRY
 P4Xg==
X-Gm-Message-State: AOAM531Tu0qnAkwJrge+kkJ5slPOmMsuvv6YETu1h4AnirHdTy4rh3V1
 MyajrUD5W6e/8diwleYDN5rGzyvQMz/72EZ8wbQzRj7rsAtyw4vw
X-Google-Smtp-Source: ABdhPJy9hykRdUEN93D7+64ETMRExMu+XWFE7kK3ClMOQkfRY/3g6xyDqbNdAC/hJ4aoQvDNP3hS+LNcMXrOMUu5BAY=
X-Received: by 2002:ac2:53b5:: with SMTP id j21mr10313391lfh.75.1616809171329; 
 Fri, 26 Mar 2021 18:39:31 -0700 (PDT)
MIME-Version: 1.0
From: Hongyi Zhao <hongyi.zhao@HIDDEN>
Date: Sat, 27 Mar 2021 09:39:20 +0800
Message-ID: <CAGP6POKrhGgaz7wbuC5cTMrZxFCV99nf-+NGsFr+66nAgj4qiw@HIDDEN>
Subject: Process Whois connection broken by remote peer.
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2a00:1450:4864:20::132;
 envelope-from=hongyi.zhao@HIDDEN; helo=mail-lf1-x132.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,

On Ubuntu 20.04, I'm using the self compiled git master version of Emacs.
It seems that the whois client in Emacs only works for some specific domain
 names, for example gnu.org and emacs.org, but for others like
facebook.com it just hangs and returns nothing. The following command
will trigger the error:

"M-x RET whois RET facebook.com"

Regards
-- 
Assoc. Prof. Hongyi Zhao <hongyi.zhao@HIDDEN>
Theory and Simulation of Materials
Hebei Polytechnic University of Science and Technology engineering
NO. 552 North Gangtie Road, Xingtai, China




Acknowledgement sent to Hongyi Zhao <hongyi.zhao@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47431; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 29 Mar 2021 11:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.